import { TextDocument, TextDocumentChangeEvent, TextDocuments, Event } from 'vscode-languageserver';
import { FileProcessor, Stylable, StylableMeta } from 'stylable';
import Provider from './provider';
import { FileSystemReadSync } from 'kissfs';
import { ExtendedTsLanguageService } from './types';
export declare function createProvider(stylable: Stylable, tsLangService: ExtendedTsLanguageService, withFilePrefix?: boolean): Provider;
export declare function createFs(fileSystem: FileSystemReadSync, withFilePrefix?: boolean): any;
export declare function createProcessor(fileSystem: FileSystemReadSync, withFilePrefix?: boolean): FileProcessor<StylableMeta>;
export interface MinimalDocs extends Partial<FileSystemReadSync> {
    get: (uri: string) => TextDocument;
    keys: () => string[];
}
export interface MinimalDocsDispatcher extends Partial<TextDocuments> {
    onDidChangeContent: Event<TextDocumentChangeEvent>;
    onDidOpen: Event<TextDocumentChangeEvent>;
}
